__kernel void matrix_add(__global float * a, __global float * b, __global float * c) {
   int x = get_global_id(0);
   int y = get_global_id(1);
   int n = get_global_size(0);

   int off = y*n + x;

   c[off] = a[off] + b[off];
}
